List widgets
curl --request GET \
--url https://api.direct.reap.global/v1/widgets \
--header 'x-api-key: <api-key>'import requests
url = "https://api.direct.reap.global/v1/widgets"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://api.direct.reap.global/v1/widgets', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"items": [
{
"id": "3f6f4d1e-8a2b-4c1d-9e5f-0a1b2c3d4e5f",
"name": "My first widget",
"status": "active",
"createdAt": "2026-07-09T03:00:00Z",
"metadata": {}
}
],
"nextCursor": "<string>"
}{
"statusCode": 123,
"message": "<string>",
"code": "<string>",
"param": "<string>",
"details": [
{}
],
"requestId": "<string>"
}{
"statusCode": 123,
"message": "<string>",
"code": "<string>",
"param": "<string>",
"details": [
{}
],
"requestId": "<string>"
}{
"statusCode": 123,
"message": "<string>",
"code": "<string>",
"param": "<string>",
"details": [
{}
],
"requestId": "<string>"
}Widgets (example)
List widgets
Returns a paginated list of widgets belonging to your business.
GET
/
v1
/
widgets
List widgets
Authorizations
Enter your API key
Query Parameters
Maximum number of items to return.
Required range:
1 <= x <= 100Opaque cursor from a previous response for pagination.
⌘I